Subject: Re: [Ips] iSCSI Implementer's Guide - WG Last Call status

From: "Mallikarjun C." <[email-masked]>
Date: Fri, 5 Jan 2007 16:52:05 -0800 (PST)

I will add something very close to what Paul had suggested.  Thanks to all for contributing to the discussion.

Mallikarjun

----- Original Message ----
From: Eddy Quicksall <[email-masked]>
To: Julian Satran <[email-masked]>
Cc: [email-masked]; [email-masked]; Paul Koning <[email-masked]>
Sent: Friday, January 5, 2007 3:49:05 PM
Subject: Re: [Ips] iSCSI Implementer's Guide - WG Last Call status

Just another note on what you said below "it was stated here several times...". I know it has been in emails for a long time but I found that testers' don't use what is said in emails as a criteria. That is why I thought it would be good to add a statement.
 
Eddy
----- Original Message ----- 
From: Julian Satran 
To: Eddy Quicksall 
Cc: [email-masked] ; [email-masked] ; Paul Koning 
Sent: Friday, January 05, 2007 3:27 PM
Subject: Re: [Ips] iSCSI Implementer's Guide - WG Last Call status

Eddy, 

It was stated here several times already that the general rule in RFCs is that sender has to be strict and the receiver lenient. 
It is however really difficult to say what exactly lenient means (as it is very much dependent on implementations). The rules are stated in terms of what a sender must do. 
It is also obvious that draft authors would be reluctant to make a blanket statement of the receiver not being manadated to check (as in some case that might be blatantly incorrect). Just to give you an example - would it be acceptable to say that a sender has to put a correct CRC in the frame but the receiver is free not to check it ? 
A blanket statement like the one you requested would cover such a behaviour too (that would be obviously incorect). Perhaps a statement along the lines of what Paul suggest ed with  the caveat -"as long as it does not violate an explicit rule" should be enough. 

Regards, 
Julo 

"Eddy Quicksall" <[email-masked]> 
05/01/07 11:25 To"Paul Koning" <[email-masked]>, <[email-masked]> 
[email-masked] 
SubjectRe: [Ips] iSCSI Implementer's Guide - WG Last Call status

I remember long ago talking about this when we were developing the RFC. I 
remember some people clearly saying that if the RFC said "must do X" then it 
meant that the peer "must check X". I didn't pursue the issue because it 
seemed to be of little importance.

But as time went on and the draft got finalized, I ran into cases where that 
view was still taken to hart. Of course "the customer is always right" so I 
added checks.

More recently I thought that since this guide was being written that maybe a 
simple statement could be made to clarify the issue.

I'm not debating the issue of the importance of making a check or even the 
criteria for making the check.

Eddy

__________________________________________________
Do You Yahoo!?
Tired of spam?  Yahoo! Mail has the best spam protection around 
http://mail.yahoo.com 

_______________________________________________
Ips mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ips